<div class="container">
  <div class="row justify-content-md-center login-wrapper">
    <div class="col-xl-12 c-alert pl-0 pr-0">
      <app-alert [message]="message" [type]="type"></app-alert>
    </div>
    <div class="col-12 col-lg-7 pr-lg-5 px-0 c-tablet-center">
      <img src="../../../../assets/kavanii_logo2.PNG" alt="logo" class="logo">
      <h4 class="mt-3 bold">
        Where managing practitioners is easy
      </h4>
      <p class="bold mt-3 mb-0">
        The simplest, easy to use yet most comprehensive software to help practitioner manager their practices.
      </p>
      <img src="../../../../assets/placeholder.jpg" alt="sub" class="img-fluid" />
    </div>
    <div class="col-12 col-lg-5 px-0">
      <form class="login-form" [formGroup]="loginForm">

        <div class="mb-3">
          <span>Don't have an account?</span> <a class="ml-1 bold" [routerLink]="'/account/register'">Register your
            business</a>
        </div>
        <div class="mb-3">
          <h5 class="bold">Log In</h5>
        </div>

        <!-- alert -->
        <!-- <div *ngIf="showErrorMessage">
          <div class="alert alert-danger" role="alert">
            Please enter email and password !
          </div>
        </div> -->

        <!-- Email -->
        <mat-form-field appearance="outline" class="w-100">
          <mat-label>Email ID</mat-label>

          <input matInput placeholder="Email ID" type="text" formControlName="userid" name="userid" appCharLimit
            [frmGroup]="loginForm" fcName="userid" [max]="250" />

          <mat-error *ngIf="loginForm.get('userid').hasError('required')" class="c-mat-error">
            This field is required
          </mat-error>
          <mat-error *ngIf="loginForm.get('userid').hasError('pattern')">
            Please enter a valid email address
          </mat-error>
          <mat-error *ngIf="loginForm.get('userid').hasError('exceedLimit')">
            {{loginForm.get('userid').getError('exceedLimit')}}
          </mat-error>

        </mat-form-field>

        <!-- password -->
        <mat-form-field appearance="outline" class="w-100">
          <mat-label>Password</mat-label>
          <input matInput placeholder="Password" type="password" [type]="hide ? 'password' : 'text'"
            formControlName="password" name="password" appCharLimit [frmGroup]="loginForm" fcName="password"
            [max]="250" />

          <mat-icon matSuffix (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>

          <mat-error *ngIf="loginForm.get('password').hasError('required')" class="c-mat-error">
            <!-- Password is required. -->
            This field is required
          </mat-error>
          <mat-error *ngIf="loginForm.get('password').hasError('exceedLimit')">
            {{loginForm.get('password').getError('exceedLimit')}}
          </mat-error>
        </mat-form-field>

        <div class="d-flex justify-content-start">
          <mat-checkbox class="big">
            Keep me logged in
          </mat-checkbox>
        </div>


        <!-- <mat-label style="margin-left: -5%;font-weight:600">Keep me logged in</mat-label> -->

        <div class="mt-3">
          <p class="mt-2">
            By logging in, you agree to the <a href="#" class="bold active">Terms of Service</a> and <a href="#"
              class="bold">Privacy
              Notice</a>.
          </p>
        </div>

        <!-- login btn -->
        <div class="mt-3 text-center">
          <!-- [disabled]="signing || !loginForm.valid" -->
          <button mat-raised-button class="primary-mat-raised-button" (click)="signIn($event)">{{ signInMessage
            }}</button>
        </div>

        <!-- forget pass -->
        <div class="mt-3 d-flex justify-content-center">
          <a href="#" class="d-block mb-4 bold" [routerLink]="'/account/forgotpassword'">Forgot Password?</a>
        </div>
      </form>
    </div>
  </div>
</div>